Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.xml
Interface Origin

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  OriginImpl

    public interface Origin

extends Serializable

Describes the origin of an xml document

Method Summary
`String` | `getName()` The name of the document origin.
`String` | `getType()` Retrieve the type of origin.

Method Detail

### getType

    String getType()

  Retrieve the type of origin. This is not a discrete set, but might be somethign like `file` for file protocol URLs, or `resource` for classpath resource lookups.

  Returns:
    The origin type.

### getName

    String getName()

  The name of the document origin. Interpretation is relative to the type, but might be the resource name or file URL.

  Returns:
    The name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.